$ErrorActionPreference = 'Stop'; # stop on all errors

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://win-installers.admobilize.com/admprovider/admprovider-2.7.6-beta-win32.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  softwareName  = 'admprovider*'
  checksum      = '9DDEC479604E358737E864D873B8ADC2E60A1F4F11C4E4572E4A81F7E71EAAEE'
  checksumType  = 'sha256'
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
Install-ChocolateyPath "${env:ProgramFiles(x86)}\AdMobilize\AdMProvider" -PathType 'Machine'
